html {
    font-size: 14px;
    position: relative;
    padding-bottom: 160px
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

html {
    position: relative;
    min-height: 100%;
}

body {
    margin-bottom: 160px;
}
/* Set padding to keep content from hitting the edges */
.body-content {
    margin-top: 0px; /*15px*/
    padding-left: 0px; /*15px*/
    padding-right: 0px; /*15px*/
}

/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt {
    white-space: normal;
}

/* Set width on the form input elements since they're 100% wide by default */
input,
select,
textarea {
    /*max-width: 280px;*/
}

footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 160px;
}



/** FIELDS **/

.form-control:focus,
.form-select:focus {
    box-shadow: unset;
    border: 1px solid #007aff;
    outline: none;
}

.form-control.form-control-survey,
.form-select.form-select-survey {
    border-top: 0;
    border-left: 0;
    border-right: 0;
    border-radius: 0;
    outline: none;
}

.form-floating > .form-control.form-control-survey,
.form-floating > .form-control.form-control-survey-plaintext,
.form-floating > .form-select.form-select-survey {
    padding: 1.625rem 0 0 0.1rem;
    outline: none;
}


.form-control.form-control-survey:focus,
.form-select.form-select-survey:focus {
    box-shadow: unset;
    border: 2px solid #007aff;
    border-top: 0;
    border-left: 0;
    border-right: 0;
    outline: none;
}

.form-floating > .form-control.form-control-survey:focus,
.form-floating > .form-control.form-control-survey:not(:placeholder-shown),
.form-floating > .form-control.form-control-survey-plaintext:focus,
.form-floating > .form-control.form-control-survey-plaintext:not(:placeholder-shown) {
    padding-bottom: 0;
    outline: none;
}

.form-floating > label {
    padding: 1.5rem 0rem !important;
    color: #a0a2a4;
}

.form-floating > .form-control.form-control-survey:focus ~ label,
.form-floating > .form-select.form-select-survey:focus ~ label {
    color: #007aff;
}

.form-floating > .form-control.form-control-survey:focus ~ label,
.form-floating > .form-control.form-control-survey:not(:placeholder-shown) ~ label,
.form-floating > .form-select.form-select-survey ~ label {
    transform: scale(0.65) translateY(-0.1rem) translateX(0rem);
}

.form-check-input:focus {
    box-shadow: unset;
}

.form-check-label {
    vertical-align: middle;
}

.form-control.form-control-terms {
    width: 100%;
    resize: none;
    padding: 1rem;
}

    .form-control.form-control-terms:focus,
    .form-control.form-control-terms:focus-visible {
        box-shadow: unset;
        border: 1px solid #dee2e6;
        outline: none;
    }


.form-floating > .form-control:focus ~ label::after,
.form-floating > .form-control:not(:placeholder-shown) ~ label::after,
.form-floating > .form-control-plaintext ~ label::after,
.form-floating > .form-select ~ label::after {
    background-color: transparent;
}


.form-floating > .form-control:read-only {
    background: rgb(247,247,247);
    background: linear-gradient(0deg, rgba(247,247,247,1) 0%, rgba(255,255,255,1) 100%);
    cursor: not-allowed;
}


.custom-checkbox {
    display: flex;
    align-items: center;
    gap: 8px;
    cursor: pointer;
}


    .custom-checkbox input {
        position: absolute;
        opacity: 0;
        width: 0;
        height: 0;
    }


.checkmark {
    display: inline-block;
    width: 16px;
    height: 16px;
    background-color: transparent;
    border: 2px solid #007bff;
    border-radius: 50%;
    transition: all 0.3s ease;
    position: relative;
}


.custom-checkbox input:checked + .checkmark {
    background-color: #007bff;
    border: 2px solid #007bff;
}

    .custom-checkbox input:checked + .checkmark::after {
        content: "\2714";
        color: white;
        font-size: 11px;
        position: absolute;
        left: 50%;
        top: 50%;
        transform: translate(-50%, -50%);
        font-weight: bold;
    }


.checkbox-label {
    font-size: 14px;
    color: #555555;
    user-select: none;
}

.form-check-input[type=checkbox] {
    border-radius: 50% !important;
}

.form-check-input {
    border: 2px solid #007bff !important;
}

.form-check-input:checked {
    background-color: #0d6efd;
    border-color: #0d6efd;
}

/*.was-validated .form-select:valid:focus, .form-select.is-valid:focus {
    border-color: #0d6efd !important;
    box-shadow: 0 0 0 0.25rem rgba(25, 135, 84, 0.25);
}

.was-validated .form-check-input:valid, .form-check-input.is-valid {
    border-color: #0d6efd !important;
}

.was-validated .form-select:valid, .form-select.is-valid {
    border-color: #0d6efd !important;
}

.was-validated .form-check-input:valid, .form-check-input.is-valid {
    border-color: #0d6efd !important;
}*/

.was-validated .form-check-input:valid:checked, .form-check-input.is-valid:checked {
        background-color: #0d6efd !important;
}


.upload-img {
    width: 70px;
    height: 70px;
    margin-bottom: 0.5em;
    object-fit: cover;
    cursor: pointer;
    border-radius: 8px;
    border: 2px dashed #007aff;
    transition: transform 0.2s ease-in-out;
}

    .upload-img:hover {
        transform: scale(1.05);
    }

@media (max-width: 768px) {
    .upload-img {
        width: 80px;
        height: 80px;
    }
}

.btn-container {
    width: 40%;
}

@media (min-width: 992px) {
    .btn-container {
        width: 30%;
    }
}

@media (max-width: 1199px) {
    .btn-container {
        width: 40%;
    }
}



@font-face {
    font-family: 'SamsungOne-200';
    src: url('../static_content/fonts/samsungone/SamsungOne-200.eot#iefix') format('embedded-opentype'), url('../static_content/fonts/samsungone/SamsungOne-200.woff') format('woff'), url('../static_content/fonts/samsungone/SamsungOne-200.ttf') format('truetype'), url('../static_content/fonts/samsungone/SamsungOne-200.svg') format('svg');
}

@font-face {
    font-family: 'SamsungOne-200C';
    src: url('../static_content/fonts/samsungone/SamsungOne-200C.eot?#iefix') format('embedded-opentype'), url('../static_content/fonts/samsungone/SamsungOne-200C.woff') format('woff'), url('../static_content/fonts/samsungone/SamsungOne-200C.ttf') format('truetype'), url('../static_content/fonts/samsungone/SamsungOne-200C.svg#SamsungOne-200C') format('svg');
}

@font-face {
    font-family: 'SamsungOne-300';
    src: url('../static_content/fonts/samsungone/SamsungOne-300.eot?#iefix') format('embedded-opentype'), url('../static_content/fonts/samsungone/SamsungOne-300.woff') format('woff'), url('../static_content/fonts/samsungone/SamsungOne-300.ttf') format('truetype'), url('../static_content/fonts/samsungone/SamsungOne-300.svg#SamsungOne-300') format('svg');
}

@font-face {
    font-family: 'SamsungOne-300C';
    src: url('../static_content/fonts/samsungone/SamsungOne-300C.eot?#iefix') format('embedded-opentype'), url('../static_content/fonts/samsungone/SamsungOne-300C.woff') format('woff'), url('../static_content/fonts/samsungone/SamsungOne-300C.ttf') format('truetype'), url('../static_content/fonts/samsungone/SamsungOne-300C') format('svg');
}

@font-face {
    font-family: 'SamsungOne-400';
    src: url('../static_content/fonts/samsungone/SamsungOne-400.eot?#iefix') format('embedded-opentype'), url('../static_content/fonts/samsungone/SamsungOne-400.woff') format('woff'), url('../static_content/fonts/samsungone/SamsungOne-400.ttf') format('truetype'), url('../static_content/fonts/samsungone/SamsungOne-400.svg#SamsungOne-400') format('svg');
}

@font-face {
    font-family: 'SamsungOne-400C';
    src: url('../static_content/fonts/samsungone/SamsungOne-400C.eot?#iefix') format('embedded-opentype'), url('../static_content/fonts/samsungone/SamsungOne-400C.woff') format('woff'), url('../static_content/fonts/samsungone/SamsungOne-400C.ttf') format('truetype'), url('../static_content/fonts/samsungone/SamsungOne-400C.svg#SamsungOne-400C') format('svg');
}

@font-face {
    font-family: 'SamsungOne-400C';
    src: url('../static_content/fonts/samsungone/SamsungOne-400C.eot?#iefix') format('embedded-opentype'), url('../static_content/fonts/samsungone/SamsungOne-400C.woff') format('woff'), url('../static_content/fonts/samsungone/SamsungOne-400C.ttf') format('truetype'), url('../static_content/fonts/samsungone/SamsungOne-400C.svg#SamsungOne-400C') format('svg');
}

@font-face {
    font-family: 'SamsungOne-500';
    src: url('../static_content/fonts/samsungone/SamsungOne-500.eot?#iefix') format('embedded-opentype'), url('../static_content/fonts/samsungone/SamsungOne-500.woff') format('woff'), url('../static_content/fonts/samsungone/SamsungOne-500.ttf') format('truetype'), url('../static_content/fonts/samsungone/SamsungOne-500.svg#SamsungOne-500') format('svg');
}

@font-face {
    font-family: 'SamsungOne-500C';
    src: url('../static_content/fonts/samsungone/SamsungOne-500C.eot?#iefix') format('embedded-opentype'), url('../static_content/fonts/samsungone/SamsungOne-500C.woff') format('woff'), url('../static_content/fonts/samsungone/SamsungOne-500C.ttf') format('truetype'), url('../static_content/fonts/samsungone/SamsungOne-500C.svg#SamsungOne-500C') format('svg');
}

@font-face {
    font-family: 'SamsungOne-600';
    src: url('../static_content/fonts/samsungone/SamsungOne-600.eot?#iefix') format('embedded-opentype'), url('../static_content/fonts/samsungone/SamsungOne-600.woff') format('woff'), url('../static_content/fonts/samsungone/SamsungOne-600.ttf') format('truetype'), url('../static_content/fonts/samsungone/SamsungOne-600.svg#SamsungOne-600') format('svg');
}

@font-face {
    font-family: 'SamsungOne-600C';
    src: url('../static_content/fonts/samsungone/SamsungOne-600C.eot?#iefix') format('embedded-opentype'), url('../static_content/fonts/samsungone/SamsungOne-600C.woff') format('woff'), url('../static_content/fonts/samsungone/SamsungOne-600C.ttf') format('truetype'), url('../static_content/fonts/samsungone/SamsungOne-600C.svg#SamsungOne-600C') format('svg');
}

@font-face {
    font-family: 'SamsungOne-700';
    src: url('../static_content/fonts/samsungone/SamsungOne-700.eot?#iefix') format('embedded-opentype'), url('../static_content/fonts/samsungone/SamsungOne-700.woff') format('woff'), url('../static_content/fonts/samsungone/SamsungOnee-700.ttf') format('truetype'), url('../static_content/fonts/samsungone/SamsungOne-700.svg#SamsungOne-700') format('svg');
}

@font-face {
    font-family: 'SamsungOne-700C';
    src: url('../static_content/fonts/samsungone/SamsungOne-700C.eot?#iefix') format('embedded-opentype'), url('../static_content/fonts/samsungone/SamsungOne-700C.woff') format('woff'), url('../static_content/fonts/samsungone/SamsungOne-700C.ttf') format('truetype'), url('../static_content/fonts/samsungone/SamsungOne-700C.svg#SamsungOne-700C') format('svg');
}

@font-face {
    font-family: 'SamsungOne-700';
    src: url('../static_content/fonts/samsungone/SamsungOne-700.eot?#iefix') format('embedded-opentype'), url('../static_content/fonts/samsungone/SamsungOne-700.woff') format('woff'), url('../static_content/fonts/samsungone/SamsungOne-700.ttf') format('truetype'), url('../static_content/fonts/samsungone/SamsungOne-700.svg#SamsungOne-700') format('svg');
}

@font-face {
    font-family: 'SamsungOne-700C';
    src: url('../static_content/fonts/samsungone/SamsungOne-700C.eot?#iefix') format('embedded-opentype'), url('../static_content/fonts/samsungone/SamsungOne-700C.woff') format('woff'), url('../static_content/fonts/samsungone/SamsungOne-700C.ttf') format('truetype'), url('../static_content/fonts/samsungone/SamsungOne-700C.svg#SamsungOne-700C') format('svg');
}


@font-face {
    font-family: 'sssR';
    src: url('../static_content/fonts/samsung-regular/SamsungSharpSans-Regular.eot') format('embedded-opentype'), url('../static_content/fonts/samsung-regular/SamsungSharpSans-Regular.woff') format('woff'), url('../static_content/fonts/samsung-regular/SamsungSharpSans-Regular.ttf') format('truetype'), url('../static_content/fonts/samsung-regular/SamsungSharpSans-Regular.svg#samsungsharpsans-regular') format('svg');
}

@font-face {
    font-family: 'sssB';
    src: url('../static_content/fonts/samsung-bold/SamsungSharpSans-Bold.eot') format('embedded-opentype'), url('../static_content/fonts/samsung-bold/SamsungSharpSans-Bold.woff') format('woff'), url('../static_content/fonts/samsung-bold/SamsungSharpSans-Bold.ttf') format('truetype'), url('../static_content/fonts/samsung-bold/SamsungSharpSans-Bold.svg#samsungsharpsans-bold') format('svg');
}




* {
    padding: 0;
    margin: 0;
}

html, body {
    /*max-width: 1440px;*/
    margin: 0 auto;
    width: 100%;
    height: 100%;
    margin: 0 auto;
    padding: 0;
}

body {
    font-family: 'SamsungOne-400' !important;
    background-color: #ffffff;
    color: #000000;
    letter-spacing: initial;
}

main {
    margin-top: 0;
    max-width: 1440px;
    margin-left: auto;
    margin-right: auto;
}

select option:disabled {
    font-style: italic;
    color: #ccc;
}

.show-mobile {
    display: none;
}

.show-desktop {
    display: block;
}

.fw-bold {
    font-family: 'SamsungOne-700';
}

.field-validation-error,
.field-validation-custom {
    font-size: 0.8rem;
    display: block;
    text-align: left;
}

.img-fluid {
    width: 100%;
}

.badge {
    padding-top: 0.55em;
    padding-left: 1em;
    padding-right: 1em;
    vertical-align: text-bottom;
}

.custom-error-message {
    color: #ff5a5a;
}

.custom-success-message {
    color: forestgreen;
}

.smaller {
    font-size: 0.7rem;
}




/** Headline **/

.headline {
    text-align: center;
    font-family: sssB;
}

.sub-headline {
    text-align: center;
    font-family: sssB;
}

.headline-container {
    position: absolute;
    width: 620px;
    z-index: 600;
}


.title-text {
    font-family: sssB;

}

.text-bg-skyBlue {
    color: #fff !important;
    background-color: #2189FF !important;
}

.text-bg-DarkSkyBlue {
    color: #fff !important;
    background-color: #006BEA !important;
}

.text-bg-lightSkyBlue {
    color: #fff !important;
    background-color: #68AEFF !important;
}

.text-bg-seaBlue {
    color: #fff !important;
    background-color: #00B3E3 !important;
}

.subtitle-text {
    font-family: sssR;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    color: white !important;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.nav-pills .nav-link.active,
.nav-pills .show > .nav-link {
    color: white !important;
    background-color: #0d6efd;
}

.top-left {
    top: 80px;
    left: 88px;
}

.top-center {
    width: 720px;
    top: 80px;
    left: 50%;
    -webkit-transform: translateX(-50%);
    transform: translateX(-50%);
    text-align: center;
}

.top-right {
    top: 80px;
    right: 88px;
}

.middle-left {
    top: 50%;
    -webkit-transform: translateY(-50%);
    transform: translateY(-50%);
    left: 88px;
}

.middle-center {
    width: 720px;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    text-align: center;
}

.middle-right {
    top: 50%;
    -webkit-transform: translateY(-50%);
    transform: translateY(-50%);
    right: 88px;
}

.bottom-left {
    bottom: 112px;
    left: 88px;
}

.bottom-center {
    width: 720px;
    bottom: 112px;
    left: 50%;
    -webkit-transform: translateX(-50%);
    transform: translateX(-50%);
    text-align: center;
}

.bottom-right {
    bottom: 112px;
    right: 88px;
}

.main-banner-headline {
    font-family: 'sssB', arial, sans-serif;
    font-weight: bold;
    font-size: 48px;
    line-height: 1.2;
    color: currentColor;
    word-wrap: break-word;
}

.main-banner-description {
    margin-top: 24px;
    font-size: 18px;
    line-height: 1.33;
    color: currentColor;
    word-wrap: break-word;
}

.main-banner-period {
    margin-top: 16px;
    font-size: 18px;
    line-height: 1.33;
    font-family: 'SamsungOne-700';
}

.custom-modal .modal-dialog {
    max-width: 1000px;
    bottom: 0;
    left: 0;
    margin: auto;
    position: fixed;
    right: 0;
    top: 0;
}

.custom-modal .modal-body {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 65vh;
}

.custom-modal .mechanics-body {
    display: flex;
    height: auto;
}

.custom-modal img {
    max-width: 100%;
    max-height: 100%;
    object-fit: contain;
}

@media (max-width: 768px) {
    .custom-modal .modal-dialog {
        max-width: 90%;
    }
}

.modal-anchor {
    font-size: 0.80rem;
    float: right;
    padding: 0.5rem;
}


.rounded-top-left {
    border-top-left-radius: .3rem;
}

.rounded-bottom-left {
    border-bottom-left-radius: .3rem;
}


.hidden {
    display: none;
}

.popup-message {
    position: fixed;
    top: 20px;
    left: 50%;
    transform: translateX(-50%);
    background-color: #007aff; /* Green for success */
    color: white;
    padding: 15px 20px;
    border-radius: 5px;
    z-index: 1000;
    font-size: 16px;
    font-weight: bold;
    animation: slide-in 0.5s ease-out;
    max-width: 80%;
    text-align: center;
}

    .popup-message.error {
        background-color: #007aff; /* Red for error */
    }

@keyframes slide-in {
    from {
        opacity: 0;
        transform: translateX(-50%) translateY(-20px);
    }

    to {
        opacity: 1;
        transform: translateX(-50%) translateY(0);
    }
}

.fade-out {
    animation: fade-out 0.5s ease-out;
}

@keyframes fade-out {
    from {
        opacity: 1;
    }

    to {
        opacity: 0;
    }
}

/** SPINNER & DIMMER **/
.spinner-container {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 9998;
    display: block;
}

.spinner-position {
    position: absolute;
    top: 45%;
    left: 0%;
    right: 0%;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
    z-index: 9999;
    display: block;
}

.dimmer {
    display: none;
    background: rgba(0, 0, 0, 0.5);
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 3999;
    display: block;
}


.custom-div {
    width: 90%;
    max-width: 1440px;
    flex-wrap: wrap;
    height: 350px;
    background-color: #007aff;
    border-radius: 25px;
    position: relative;
    text-align: center;
    overflow: visible;
    padding: 20px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

/* Responsive Headline */
.custom-text {
    color: white;
    font-size: 35px;
}

.headline {
    font-size: 1.8rem;
}

/* Flex container to ensure proper spacing */
.date-time-container {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    text-align: right;
    gap: 5px;
}

/* Tab Container */
.tab-container {
    position: absolute;
    top: 375px;
    left: 50%;
    transform: translateX(-50%);
    display: flex;
    justify-content: center;
    gap: 20px;
    width: 90%;
    max-width: 1440px;
    flex-wrap: wrap;
}

/* Tabs */
.tab {
    background-color: #f7f7f7;
    color: black;
    padding: 10px 20px;
    border-radius: 20px;
    cursor: pointer;
    transition: 0.3s;
    text-align: center;
    min-width: 250px;
    min-height: 120px;
    flex: 1;
    max-width: 500px;
    outline-style: none !important;
    font-size: 1.2rem;
}

    .tab:hover {
        background-color: #0056b3;
        color: white;
    }

/* Tablet */
@media (max-width: 1024px) {
    .custom-text {
        font-size: 30px;
    }

    .headline {
        font-size: 1.5rem;
    }

    .tab-container {
        top: 340px;
        flex-wrap: wrap;
        gap: 15px;
    }

    .tab {
        min-width: 45%;
        max-width: 45%;
    }

    .date-time-container {
        align-items: center;
        text-align: center;
    }

    .custom-div {
        width: 90%;
    }
}

/* Mobile */
@media (max-width: 768px) {
    .custom-text {
        font-size: 25px;
        text-align: center;
    }

    .headline {
        font-size: 1.3rem;
        text-align: center;
    }

    .tab-container {
        flex-direction: column;
        align-items: center;
        top: 360px;
        width: 100%;
        gap: 10px;
    }

    .tab {
        min-width: 90%;
        max-width: 90%;
        min-height: 100px;
        font-size: 1rem;
    }

    .date-time-container {
        align-items: center;
        text-align: center;
        gap: 3px;
    }

    .custom-div {
        width: 90%;
    }
}




@media (max-width: 768px) {
    .tab-container {
        flex-direction: column;
        align-items: center;
        top: 360px;
    }

    .tab {
        min-width: 90%;
    }
}

.link-text{
    font-weight: bold;
    color:black;
}

/* Sidebar Styling */
.sidebar {
    width: 300px;
    background-color: #f8f9fa;
    box-shadow: 2px 0 3px rgba(0, 0, 0, 0.1);
    z-index: 1050;
}


@media (max-width: 768px) {
    .sidebar {
        position: fixed;
        top: 0;
        left: 0;
        width: 250px;
        height: 100%;
        transition: left 0.3s ease;
        box-shadow: 4px 0 8px rgba(0, 0, 0, 0.2);
        left: -300px; 
        z-index: 1050;
    }

    .sidebar.active {
        left: 0;
    }
}

.sidebar-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 1049;
}

.nav-link:hover {
    background-color: #f0f2f5;
    border-radius: 8px;
}

/*i {
    min-width: 20px;
}*/

.d-none {
    display: none !important;
}

.card {
    border-radius: 25px;
    padding: 1.5rem;
    color: #fff;
}

.chart-wrapper {
    background-color: #f8f9fa;
    border-radius: 12px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    padding: 20px;
    height: 300px;
    width: 100%;
    position: relative; 
}

canvas {
    display: block;
    max-width: 100%;
    height: auto !important;
}

.form-control.is-invalid:focus, .was-validated .form-control:invalid:focus,
.form-control.is-valid:focus, .was-validated .form-control:valid:focus {
    box-shadow: unset !important;
}

#dateFilter {
    width: 100%;
    max-width: 300px;
    border-radius: 8px;
    border: 2px solid #007bff;
    padding: 10px;
    transition: all 0.3s ease-in-out;
}

    #dateFilter:focus {
        border-color: #0056b3;
        box-shadow: 0 0 8px rgba(0, 123, 255, 0.5);
    }



.table-responsive {
    overflow-x: auto;
    max-width: 100%;
}

.table {
    width: 100%;
    table-layout: fixed;
    word-wrap: break-word;
}
